<?php
/*
=============================================
Движок: SHCMS Engine
=============================================
Название файла: Настройка навигации страниц.
=============================================
Official website: http://shcms.ru
=============================================
*/
define('SHCMS', true);
include_once'../system/inc/basic_settings.php';
$shcmsengine['title'] = 'SHCMS Engine Информация о системе';
include_once'../template/head.php';
registrat();
$adminka ->admin();

$user4 = mysql_fetch_array(mysql_query("SELECT * FROM `users` WHERE `id`='$user_id'"));
if($user4['team'] < 6)
{
echo 'Ошибка';
header('Refresh: 1; url=/index.php?'.$conservation.'&');
	include_once'../template/foot.php';
exit();
}
include_once'secu.php';




echo '<div class="maintitle"><strong>Информация о Системе</strong></div>';
echo '<div class="maintext">';
$status = phpversion() < '5.1' ? '<font color=red><b>Нет</b></font>' : '<font color=green><b>Да</b></font>';
echo 'Версия PHP 5.1 и выше -> '.$status.'<br/><hr/>';
$status = function_exists('mysql_connect') ? '<font color=green><b>Да</b></font>' : '<font color=red><b>Нет</b></font>';;
echo ' MySQL -> '.$status.'<br/><hr/>';
$status = extension_loaded('xml') ? '<font color=green><b>Да</b></font>' : '<font color=red><b>Нет</b></font>';
echo 'XML -> '.$status.'<br/><hr/>';
$status = function_exists('iconv') ? '<font color=green><b>Да</b></font>' : '<font color=red><b>Нет</b></font>';
echo 'Iconv - >'.$status.' <hr/>';
$status = extension_loaded('zlib') ? '<font color=green><b>Да</b></font>' : '<font color=red><b>Нет</b></font>';
echo 'Сжатия ZLib  - >'.$status.' <hr/>';
$status = ini_get('session.auto_start') ? '<font color=red><b>Включено</b></font>' : '<font color=green><b> Отключено</b></font>';
echo 'session auto start  - >'.$status.' <hr/>';

		 $status = ini_get('register_globals') ? '<font color=red><b>Включено</b></font>' : '<font color=green><b>Выключено</b></font>';

 

echo '</div>';


echo '</div><div class="maintitle"><strong>Информация о CHMOD</strong></div>';

echo '<div class="maintext">';

echo <<<HTML
<table width="100%">
<tr>
HTML;
echo"<tr>
<td height=\"25\">&nbsp;Папка</td>
<td width=\"100\" height=\"25\">&nbsp;Права</td>
<td width=\"100\" height=\"25\">&nbsp;Статус</td></tr>";
$important_files = array(
'../system/tmp/',
'../system/thumbs/',
'../template/designs/',
'../download/files_obmen/',
'../download/screen/',
'../download/icons/',
'../forum/icon/icon_cat/',
'../forum/icon/icon_razd/',
'../avatar/files/',
'../system/thumbs/',
);
$chmod_errors = 0;
$not_found_errors = 0;
    foreach($important_files as $file){

        if(!file_exists($file)){
            $file_status = "<font color=red>не найдено</font>";
            $not_found_errors ++;
        }
        elseif(is_writable($file)){
            $file_status = "<font color=green>разрешено</font>";
        }
        else{
            @chmod($file, 0777);
            if(is_writable($file)){
                $file_status = "<font color=green>разрешено</font>";
            }else{
                @chmod("$file", 0755);
                if(is_writable($file)){
                    $file_status = "<font color=green>разрешено</font>";
                }else{
                    $file_status = "<font color=red>запрещено</font>";
                    $chmod_errors ++;
                }
            }
        }
        $chmod_value = @decoct(@fileperms($file)) % 1000;
    echo"<tr><td height=\"22\">&nbsp;$file</td>
         <td>&nbsp; $chmod_value</td>
         <td>&nbsp; $file_status</td>
         </tr>";
    }
if($chmod_errors == 0 and $not_found_errors == 0){
$status_report = '<div class="mysql_yes">Все необходимы права на запись у вас имеются!</div>';
}else{
if($chmod_errors > 0){
$status_report = "<div class='mysql_no'><font color=red>Внимание!!!</font><br /><br />
Во время проверки обнаружены ошибки: <b>$chmod_errors</b>. Запрещена запись в файл.<br />
Вы должны выставить для папок CHMOD 777, для файлов CHMOD 666, используя ФТП-клиент.<br /></div>
";
}
if($not_found_errors > 0){
$status_report .= "<div class='mysql_no'><font color=red>Внимание!!!</font>
<br />Во время проверки обнаружены ошибки: <b>$not_found_errors</b>. Файлы не найдены!<br />
</div>";}
}
echo"<tr><td style=\"padding: 5px\" colspan=3>$status_report</td>
</tr>";    

echo <<<HTML


</tr>
</table></div>
HTML;






include_once'../template/foot.php';
?>